Package org.apache.commons.math3.ml.clustering

# Class CentroidCluster<T extends Clusterable>

java.lang.Object
org.apache.commons.math3.ml.clustering.Cluster<T>
org.apache.commons.math3.ml.clustering.CentroidCluster<T>

Type Parameters:
  `T` - the type of points that can be clustered

All Implemented Interfaces:
  `Serializable`

public class CentroidCluster<T extends Clusterable> extends Cluster<T>
A Cluster used by centroid-based clustering algorithms.

Defines additionally a cluster center which may not necessarily be a member of the original data set.

Since:
  3.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CentroidCluster(Clusterable center)`
Build a cluster centered at a specified point.

## Method Summary

Modifier and Type
Method
Description
`Clusterable`
`getCenter()`
Get the point chosen to be the center of this cluster.

### Methods inherited from class org.apache.commons.math3.ml.clustering.Cluster

`addPoint, getPoints`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CentroidCluster

public CentroidCluster(Clusterable center)
Build a cluster centered at a specified point.

Parameters:
  `center` - the point which is to be the center of this cluster

## Method Details

### getCenter

public Clusterable getCenter()
Get the point chosen to be the center of this cluster.

Returns:
  chosen cluster center